pdp (1:0.14.1+darcs20180201-2build1) groovy; urgency=medium

  * No-change rebuild against libgsl25

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 May 2020 22:20:54 +0000

pdp (1:0.14.1+darcs20180201-2) unstable; urgency=medium

  * Fix FTCBFS (Closes: #912347)
    * Fix build/host confusion
    * Let dh_auto_build pass cross tools to make.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * Declare that "root" is not required for building this package
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 31 Oct 2018 09:49:53 +0100

pdp (1:0.14.1+darcs20180201-1) unstable; urgency=medium

  * New upstream version 0.14.1+darcs20180201

  * Refreshed patches
    * Dropped those applied upstream
    * Fixed spelling error in function declaration
  * Enabled full hardening
  * Adopted package into multimedia-team
  * Updated Vcs-* stanzas to salsa.d.o
  * Switched URLs to https://
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
  * Updated d/copyright
    * Added d/copyright_hints
  * Bumped dh compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Feb 2018 14:48:40 +0100

pdp (1:0.14.1-5) unstable; urgency=medium

  * Fix search-path-adding in a more compatible way
    (Closes: #872905)
  * More spelling fixes
  * Dropped numbers from patch names
  * Dropped empty lines from patches
  * Modernized Vcs-Browser stanza
  * Bumped standards to 4.1.0
    * Set package priority to "optional"
  * Bumped dh compat to 10

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Aug 2017 12:22:30 +0200

pdp (1:0.14.1-4) unstable; urgency=medium

  * debian/patches/searchpath_check.patch: update for puredata 0.48.0-1
    (closes: #872675)
  * debian/control: bump to 4.0.0
  * debian/control: update Vcs-Git

 -- Paul Brossier <piem@debian.org>  Sun, 20 Aug 2017 16:06:50 +0200

pdp (1:0.14.1-3) unstable; urgency=medium

  * Switch B-D to unversioned libgsl-dev
  * Depend on "puredata" rather than "puredata-core"
  * Drop sub-packages' dependency on pd (satisfied by pd-pdp)
  * Removed obsolete dh after/before
  * Update Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Nov 2015 22:55:41 +0100

pdp (1:0.14.1-2) unstable; urgency=medium

  * Un-nest functions (Closes: #758569)
    * Made un-nested functions thread-safe.
  * Added missing #includes for function declarations.
  * Changed my uploader's name

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Sep 2014 14:39:48 +0200

pdp (1:0.14.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.14.1

  * Added pdp_opengl
    - openGL-support has been re-added upstream
    - Available via "pd-3dp" package
  * Added scaf
    - Available via "pd-scaf" package
    - Added manpage for the scaf-compiler "scafc"
    - Added lintian override for non-hardended scafo files
  * debian/patches
    - Updated patches to new upstream
    - Single patch removing zealous installation-check for Pd
    - Added DESTDIR support
    - Ensured availability of /usr/bin
    - Fixed syntax-errors in scaf/configure.ac
  * Added hardening flags
  * Bumped Standards-Version to 3.9.5

  [ Paul Brossier ]
  * pd-scaf: build only on platform supporting mmx
  * debian/patches/nohardcoded_mmx.patch: remove hardcoded -mmmx
  * debian/rules: add -mmmx to CFLAGS where need be

 -- Paul Brossier <piem@debian.org>  Sun, 29 Dec 2013 13:44:43 -0400

pdp (1:0.14.0-1) unstable; urgency=low

  New upstream release (Closes: #398013, LP: #136216)

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.14.0
  * Updated debian/patches/
   * Removed patches applied upstream
   * Refreshed other patches
   * Fixed hardening for pdp_opengl
  * Removed pdp_opengl/3dp
   * not ported upstream
  * Native V4L2-support on linux-architectures
    * Build-depend on libv4l-dev
  * GNU/kFreeBSD fixes (Closes: #627904)
    * Don't include <linux/types.h> on non-linux platforms
  * Enable MMX on amd64
  * Proper libdir installation
    * Install everything to /usr/lib/pd/extra/pdp/
    * Check on startup, whether libdir-path is searched
  * Made "pdp_help_input" abstraction work in all circumstances
  * Use dh-autoreconf
  * Added Vcs-* stanzas
  * Install CHANGES.LOG as upstream Changelog
  * Added debian/NEWS
  * Run strip/shlipdeps on .pd_linux files
  * Fix permissions of .pd_linux files (Closes: #716133, #716276)
  * Updated my Uploader's name
  * Converted debian/copyright to DEP-5
  * Bumped standards to 3.9.4

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Tue, 12 Nov 2013 14:06:00 +0100

pdp (1:0.12.5-2) unstable; urgency=low

  * Switch to 3.0 (quilt) format
  * Bumped standards-version to 3.9.3
  * Enabled hardening builds
    - Use debhelper compat >=9
    - Added patch to fix build-errors
  * debian/control
    - Cosmetic fixes (indentation)
    - Removed Build-dependency on quilt
    - Build-Depend on debhelper>=9
    - Build-Depend on libpng-dev rather than on libpng12-dev
    - Build-Depend on puredata-dev|puredata
    - Depend on puredata-core|pd (Closes: #652384)
  * debian/patches
    - Refreshed patches so they apply cleanly
    - Added quilt patch descriptions
    - New patch that fixes spelling mistakes
  * Added myself to Uploaders

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 15 Jun 2012 19:15:21 +0200

pdp (1:0.12.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against new libquicktime (Closes: #632241)
  * Add missing build-dep puredata-dev (Closes: #627903)
  * Patch the makefiles to use -rdynamic since -export_dynamic doesn't exist

 -- Paul Wise <pabs@debian.org>  Sun, 28 Aug 2011 14:51:14 +0100

pdp (1:0.12.5-1) unstable; urgency=low

  * Adopt package (closes: #521506)
  * New upstream release
  * debian/rules: switch to debhelper and quilt
  * debian/control: add Build-Depends on quilt
  * debian/patches/00_add3dp.patch: partly merged upstream
  * debian/patches/01_fix_gcc4.patch: merged upstream
  * debian/patches/02_assembler_fix.patch: merged upstream
  * debian/patches/04_quicktime_fix.patch: merged upstream
  * debian/patches/01_destdir.patch: add DESTDIR to install target
  * debian/menu: drop menu entry
  * debian/README.source: add note about quilt
  * debian/dirs: do not ship empty externs
  * debian/patches/06_add_v4l2.patch: add v4l2 from PiDiP
  * debian/control: add quilt, drop cdbs
  * debian/pdp-config.sgml: converted to docbook format

 -- Paul Brossier <piem@debian.org>  Thu, 10 Dec 2009 10:20:53 +0100

pdp (1:0.12.4-5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs. (Closes: #394103).
  * 05_kfreebsd.patch - Build on GNU/kFreeBSD. (Closes: #416258).
    + Thanks to Cyril Brulebois.
  * Replace libglut3-dev with freeglut3-dev. (Closes: #543700, #394499).
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 26 Aug 2009 14:17:10 -0400

pdp (1:0.12.4-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * 04_quicktime_fix.patch: new, fixes FTBFS (Closes: #392179)
      + change path to QuickTime includes from "quicktime/" to "lqt/" in
        modules/image_io/pdp_qt.c.
      + thanks Andreas Jochens for his patch.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 19 Oct 2006 16:13:55 +0200

pdp (1:0.12.4-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Compile with -Wno-error to avoid FTBFS with gcc-4.1 (Closes: #356169).
    + some bits where left (opengl stuff) because it uses Makefile.config to
      define CFLAGS. add 03_force_Wno-error.patch to change them.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 11 Jun 2006 01:18:03 +0200

pdp (1:0.12.4-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Compile with -Wno-error to avoid FTBFS with gcc-4.1 (Closes: #356169).
  * Bump Standards-Version to 3.7.2 (No changes required).
  * Fix debian/menu.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 10 Jun 2006 13:18:11 +0200

pdp (1:0.12.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #347034).
  * Credit and Big Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>
    for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 20:41:30 +0100

pdp (1:0.12.4-4) unstable; urgency=low

  * Recompilation because of libquicktime name change (Closes: #334495)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 19 Oct 2005 10:47:29 +0200

pdp (1:0.12.4-3) unstable; urgency=low

  * Updated description
  * added menu entry and icon
  * Fixed gcc4.0 problems (closes: #2879079)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 16 Aug 2005 13:06:03 +0200

pdp (1:0.12.4-2) unstable; urgency=low

  * fixed the hardcoded depends
  * added 3dp library

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 15 Mar 2005 22:21:05 +0100

pdp (1:0.12.4-1) unstable; urgency=low

  * New upstream version
  * Moved to cdbs
  * enabled mmx for i368 platforms

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  2 Mar 2005 23:08:06 +0100

pdp (1:0.12.3-2) unstable; urgency=low

  * Added build dependecy on libxv-dev

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  4 Oct 2004 18:47:12 +0200

pdp (1:0.12.3-1) unstable; urgency=low

  * New Upstream Version
  * Added -fPIC to CFLAGS
  * Removed example files in debian dir
  * readded installation of doc files
  * added puredata build dependency
  * added libgls build dependency

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 25 Jun 2004 16:36:18 +0200

pdp (1:0.12.2-5) unstable; urgency=low

  * Changing package name

 -- Pablo Martn <caedes@sindominio.net>  Wed, 13 Aug 2003 12:00:25 +0200

pdp (0.12.2-4) unstable; urgency=low

  * Fixing some errors in the package

 -- Pablo Martn <caedes@sindominio.net>  Thu, 31 Jul 2003 14:50:40 +0200

pdp (0.12.2-3) unstable; urgency=low

  * Recompile to keep up with debian

 -- Pablo Martn <caedes@sindominio.net>  Wed, 23 Jul 2003 20:20:08 +0200

pdp (0.12.2-2) unstable; urgency=low

  * Trying to get dependencies better

 -- Pablo Martn <caedes@sindominio.net>  Wed, 23 Jul 2003 11:20:36 +0200

pdp (0.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Pablo Martn <caedes@sindominio.net>  Tue, 22 Jul 2003 10:22:23 +0200

pdp (0.12.1-2) unstable; urgency=low

  * New release to fix proxy hell.

 -- Pablo Martn <caedes@sindominio.net>  Wed, 16 Jul 2003 02:27:23 +0200

pdp (0.12.1-1) unstable; urgency=low

  * Initial Release.

 -- Pablo Martn <caedes@sindominio.net>  Thu, 10 Jul 2003 02:27:23 +0200
